Skip to main content
POST
Enable Asset for Account

Headers

Authorization
string
required

The Basic Authentication header. Format: "Basic {base64(orgID:apiKey)}"

Path Parameters

ledger_key
string
required

The key of the ledger. Examples:

  • "123e4567-e89b-12d3-a456-426614174000"
  • "id:123e4567-e89b-12d3-a456-426614174000"
  • "ref:ledger:customer_a"
account_key
string
required

The key of the account. Examples:

  • "123e4567-e89b-12d3-a456-426614174000"
  • "id:123e4567-e89b-12d3-a456-426614174000"
  • "ref:internal:revenue:fx"
asset_code
string
required

The code of the asset. Examples:

  • "USD" (US Dollar)
  • "EUR" (Euro)
  • "AAPL" (Apple Inc. stock)
  • "BTC" (Bitcoin)
  • "USD/2" (Custom USD variant)
  • "USD/4" (Another USD variant)
  • "GOLD_OZ" (Gold per ounce)
  • "LOYALTY_PTS" (Custom loyalty points)

Body

application/json
min_balance
string

The minimum balance allowed for the asset, defaults to 0 if not set

max_balance
string

The maximum balance allowed for the asset, defaults to max int64 if not set

Response

200 - application/json

The request has succeeded.

account_id
string<uuid>
required

The unique identifier of the account

account_ref
string
required

The externally defined reference of the account

Minimum string length: 1
default_asset_code
string
required

The default asset for the account

Minimum string length: 1
enabled_assets
object[]
required

The enabled assets for the account with asset rules such as min/max balances

created_at
string<date-time>
required
updated_at
string<date-time>
required
status
enum<string>

The status of the account, defaults to ACTIVE

Available options:
ACTIVE,
INACTIVE,
INACTIVE
metadata
object

Additional, optional, metadata for the account